Skip to main content

Knowledge Management

Documents, wikis, knowledge bases, search

  • Tools: 8
  • Connectors: 6

Connectors in this domain

Tool reference

km.articles.archive - Archive Article

Archive a knowledge base article

  • Risk: write - Creates or modifies data
  • Supported by: Confluence, Guru, Notion, Coda, Slite, Quip

Input schema

FieldTypeRequiredDescription
article_idstringYes-

Output schema

FieldTypeRequiredDescription
successbooleanNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/km.articles.archive/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"article_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "km.articles.archive",
"arguments": {
"article_id": "string"
}
}
}

km.articles.create - Create Article

Create a new knowledge base article

  • Risk: write - Creates or modifies data
  • Supported by: Confluence, Guru, Coda, Slite, Quip, Notion

Input schema

FieldTypeRequiredDescription
titlestringYes-
contentstringYes-
collection_idstringNo-

Output schema

FieldTypeRequiredDescription
articleobjectNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/km.articles.create/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"title":"string","content":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "km.articles.create",
"arguments": {
"title": "string",
"content": "string"
}
}
}

km.articles.update - Update Article

Update an existing knowledge base article

  • Risk: write - Creates or modifies data
  • Supported by: Confluence, Guru, Coda, Slite, Quip, Notion

Input schema

FieldTypeRequiredDescription
titlestringNo-
contentstringNo-
article_idstringYes-

Output schema

FieldTypeRequiredDescription
articleobjectNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/km.articles.update/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"article_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "km.articles.update",
"arguments": {
"article_id": "string"
}
}
}

km.collections.list - List Collections

List all spaces/collections the user has access to.

  • Risk: read - Read-only - safe to call freely
  • Supported by: Guru, Coda, Slite, Quip, Confluence, Notion

Input schema

FieldTypeRequiredDescription
typestringNoOne of: global, personal, collaboration.
limitintegerNoDefault: 100.
statusstringNoOne of: current, archived.

Output schema

FieldTypeRequiredDescription
collectionsarrayNo-
collections[].idstringNo-
collections[].keystringNo-
collections[].namestringNo-
collections[].typestringNo-
collections[].descriptionstringNo-
collections[].homepage_idstringNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/km.collections.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"type":"global","limit":100}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "km.collections.list",
"arguments": {
"type": "global",
"limit": 100
}
}
}

km.doc.create_draft - Create Draft Document

Create a new draft document in a space.

  • Risk: write - Creates or modifies data
  • Supported by: Confluence, Coda, Slite, Guru, Quip, Notion

Input schema

FieldTypeRequiredDescription
bodystringNoContent in storage format
titlestringYes-
labelsarrayNo-
space_idstringYes-
parent_idstringNoParent page ID for hierarchy

Output schema

FieldTypeRequiredDescription
idstringNo-
titlestringNo-
statusstringNo-
edit_urlstringNo-
space_idstringNo-
created_atstringNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/km.doc.create_draft/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"title":"string","space_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "km.doc.create_draft",
"arguments": {
"title": "string",
"space_id": "string"
}
}
}

km.doc.get - Get Document

Retrieve full document content including body, attachments, and metadata.

  • Risk: read - Read-only - safe to call freely
  • Supported by: Quip, Guru, Coda, Slite, Notion, Confluence

Input schema

FieldTypeRequiredDescription
doc_idstringYes-
body_formatstringNoOne of: storage, view, export_view. Default: "view".
include_bodybooleanNoDefault: true.

Output schema

FieldTypeRequiredDescription
idstringNo-
bodystringNo-
spaceobjectNo-
titlestringNo-
authorobjectNo-
labelsarrayNo-
versionintegerNo-
created_atstringNo-
updated_atstringNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/km.doc.get/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"doc_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "km.doc.get",
"arguments": {
"doc_id": "string"
}
}
}

km.permissions.get - Get Document Permissions

Retrieve permission details for a document or space.

  • Risk: read - Read-only - safe to call freely
  • Supported by: Confluence, Notion, Guru, Coda, Slite, Quip

Input schema

FieldTypeRequiredDescription
resource_idstringYes-
resource_typestringNoOne of: page, space. Default: "page".

Output schema

FieldTypeRequiredDescription
permissionsarrayNo-
permissions[].principalobjectNo-
permissions[].operationsarrayNo-
resource_idstringNo-
resource_typestringNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/km.permissions.get/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"resource_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "km.permissions.get",
"arguments": {
"resource_id": "string"
}
}
}

Perform semantic search across all knowledge management content.

  • Risk: read - Read-only - safe to call freely
  • Supported by: Confluence, Notion, Guru, Coda, Slite, Quip

Input schema

FieldTypeRequiredDescription
limitintegerNoDefault: 10.
querystringYesNatural language search query
space_idsarrayNoLimit to specific spaces
content_typestringNoOne of: page, blog, attachment.

Output schema

FieldTypeRequiredDescription
resultsarrayNo-
results[].idstringNo-
results[].urlstringNo-
results[].scorenumberNo-
results[].spacestringNo-
results[].titlestringNo-
results[].snippetstringNo-
results[].updated_atstringNo-
total_countintegerNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/km.search/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"query":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "km.search",
"arguments": {
"query": "string"
}
}
}